import request from '@/utils/request'

// 查询客户字段扩展列表
export function listCustomerExt(query) {
  return request({
    url: '/crm/customerExt/list',
    method: 'get',
    params: query
  })
}

// 查询客户字段扩展详细
export function getCustomerExt(extId) {
  return request({
    url: '/crm/customerExt/' + extId,
    method: 'get'
  })
}

// 新增客户字段扩展
export function addCustomerExt(data) {
  return request({
    url: '/crm/customerExt',
    method: 'post',
    data: data
  })
}

// 修改客户字段扩展
export function updateCustomerExt(data) {
  return request({
    url: '/crm/customerExt',
    method: 'put',
    data: data
  })
}

// 删除客户字段扩展
export function delCustomerExt(extId) {
  return request({
    url: '/crm/customerExt/' + extId,
    method: 'delete'
  })
}

// 导出客户字段扩展
export function exportCustomerExt(query) {
  return request({
    url: '/crm/customerExt/export',
    method: 'get',
    params: query
  })
}